>From 6dcbb4cedbca2bbe4a04ad7bdb8f32b1b4c30018 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:37:12 +0300
Subject: [carFl mem 33/65] Globalisation pass 1: wbsio_spi.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 wbsio_spi.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/wbsio_spi.c b/wbsio_spi.c
index 851c87f..0f364de 100644
--- a/wbsio_spi.c
+++ b/wbsio_spi.c
@@ -60,9 +60,9 @@ done:
 	return flashport;
 }
 
-static int wbsio_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+static int wbsio_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 		      const unsigned char *writearr, unsigned char *readarr);
-static int wbsio_spi_read(struct flashchip *flash, uint8_t *buf, int start, int len);
+static int wbsio_spi_read(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len);
 
 static const struct spi_programmer spi_programmer_wbsio = {
 	.type = SPI_CONTROLLER_WBSIO,
@@ -110,7 +110,7 @@ int wbsio_check_for_spi(void)
  * Would one more byte of RAM in the chip (to get all 24 bits) really make
  * such a big difference?
  */
-static int wbsio_spi_send_command(unsigned int writecnt, unsigned int readcnt,
+static int wbsio_spi_send_command(globals *g, unsigned int writecnt, unsigned int readcnt,
 		      const unsigned char *writearr, unsigned char *readarr)
 {
 	int i;
@@ -180,7 +180,7 @@ static int wbsio_spi_send_command(unsigned int writecnt, unsigned int readcnt,
 
 	OUTB(writearr[0], wbsio_spibase);
 	OUTB(mode, wbsio_spibase + 1);
-	programmer_delay(10);
+	programmer_delay(g, 10);
 
 	if (!readcnt)
 		return 0;
@@ -194,9 +194,9 @@ static int wbsio_spi_send_command(unsigned int writecnt, unsigned int readcnt,
 	return 0;
 }
 
-static int wbsio_spi_read(struct flashchip *flash, uint8_t *buf, int start, int len)
+static int wbsio_spi_read(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len)
 {
-	return read_memmapped(flash, buf, start, len);
+	return read_memmapped(g, flash, buf, start, len);
 }
 
 #endif
-- 
1.7.6

